%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

Summary:	Jukebox for collections of music files
Name:		gmusicbrowser
Version:	1.1.9
Release:	%mkrel 4
Epoch:		1
License:	GPLv3+
Group:		Sound/Players
URL:		http://gmusicbrowser.org
Source0:	http://gmusicbrowser.org/download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	perl-Gtk2 >= 1.090
Requires:	perl-GStreamer >= 0.06
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-flac
Requires:	perl-Gtk2-TrayIcon
Requires:	perl-Gtk2-WebKit
Requires:	perl(GStreamer::Interfaces)
Requires:	perl(Net::DBus)
Requires:	vorbis-tools
Requires:	mpg123

%if %{build_plf}
Requires:	gstreamer0.10-lame
%endif

Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
An open-source jukebox for large collections of mp3/ogg/flac/mpc/ape
files, written in perl.
%if %{build_plf}
This package is in the "tainted" section as it requires other "tainted"
packages.
%endif

%prep
%setup -q

%install
%makeinstall_std

desktop-file-install \
  --add-category="GTK;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
rm -rf %{buildroot}%{_menudir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS layout_doc.html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.1.9-4.mga3
+ Revision: 351924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 barjac <barjac> 1:1.1.9-3.mga3.tainted
+ Revision: 327007
- changed group to new policy
- minor spec clean

* Tue Feb 28 2012 wally <wally> 1:1.1.9-2.mga2.tainted
+ Revision: 215859
- replace obsoleted perl-Gtk2-MozEmbed dep with perl-Gtk2-WebKit
- shorten description

* Sun Feb 05 2012 wally <wally> 1:1.1.9-1.mga2.tainted
+ Revision: 204668
- new version 1.1.9

* Fri Nov 11 2011 wally <wally> 1:1.1.8-1.mga2
+ Revision: 166748
- new version 1.1.8

* Sat Jul 02 2011 wally <wally> 1:1.1.7-1.mga2.tainted
+ Revision: 117492
- add support for tainted build (for requiring gstreamer0.10-lame)
- add more requires (mpg123, vorbis-tools)
- imported package gmusicbrowser


* Sat Jul 02 2011 Jani Välimaa <wally@mandriva.org> 1:1.1.7-1mdv2011.0
+ Revision: 688570
- new version 1.1.7
- fix url and source tags
- drop old scriptlets

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.2-2mdv2011.0
+ Revision: 610912
- rebuild

* Sat Jan 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:1.0.2-1mdv2010.1
+ Revision: 488150
- new upstream release 1.0.2

* Wed Jun 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.0.1-2mdv2010.0
+ Revision: 382536
- spec file clean
- add missing requires on perl-Gstreamer-Interfaces and perl-Net-DBus

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1:1.0.1-1mdv2009.1
+ Revision: 324390
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 1:1.0-1mdv2009.0
+ Revision: 250358
- update to new version 1.0

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 1:0.964-1mdv2009.0
+ Revision: 200569
- New version 0.964

* Thu May 01 2008 Funda Wang <fwang@mandriva.org> 1:0.963-1mdv2009.0
+ Revision: 199914
- New version 0.963

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:0.962-2mdv2008.1
+ Revision: 109267
- rebuild for new lzma

* Tue Oct 30 2007 Jérôme Soyer <saispo@mandriva.org> 1:0.962-1mdv2008.1
+ Revision: 103819
- Add Epoch
- New release

* Thu Jul 12 2007 Funda Wang <fwang@mandriva.org> 0.9600-1mdv2008.0
+ Revision: 51512
- New version

* Tue May 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9550-2mdv2008.0
+ Revision: 26845
- bah, wrong buildrequires
- fix buildrequires
- fix bogus perl requires (fixes #26888)
- Import gmusicbrowser



* Thu Aug 24 2006 Jerome Soyer <saispo@mandriva.org> 0.9550-1mdv2007.0
- New release 0.955

* Sat Mar  4 2006 Austin Acton <austin@mandriva.org> 0.949-1mdk
- initial package
